Withdrawal (NGN | GHS)
curl --request POST \
--url https://api.breet.io/v1/payments/withdraw/bank/{id} \
--header 'Content-Type: application/json' \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>' \
--data '
{
"amount": 500,
"pin": "1234",
"narration": "Breet payout",
"externalId": "your-unique-reference"
}
'import requests
url = "https://api.breet.io/v1/payments/withdraw/bank/{id}"
payload = {
"amount": 500,
"pin": "1234",
"narration": "Breet payout",
"externalId": "your-unique-reference"
}
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 500,
pin: '1234',
narration: 'Breet payout',
externalId: 'your-unique-reference'
})
};
fetch('https://api.breet.io/v1/payments/withdraw/bank/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "withdrawal request received",
"success": true,
"data": {
"id": "69737a8036d3c2b38fbaf3d9"
},
"meta": {},
"summary": {},
"stats": {}
}Withdrawals
Withdrawal (NGN | GHS)
Initiate fiat (NGN | GHS) payout to bank
POST
/
payments
/
withdraw
/
bank
/
{id}
Withdrawal (NGN | GHS)
Authorizations
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
Path Parameters
ID of the saved bank account to withdraw to.
Body
application/json
Withdrawal amount in NGN or GHS, depending on the recipient's bank account currency.
PIN set on your dashboard.
Optional note that appears on the bank statement. Maximum 32 characters.
Your unique reference for this withdrawal. Can be used to retrieve the withdrawal later.
Response
Bank withdrawal initiated successfully
Was this page helpful?
⌘I